summaryrefslogtreecommitdiffstats
path: root/meta-openstack
diff options
context:
space:
mode:
Diffstat (limited to 'meta-openstack')
-rw-r--r--meta-openstack/recipes-support/postgresql/postgresql/postgresql-init4
-rw-r--r--meta-openstack/recipes-support/postgresql/postgresql_9.2.4.bbappend2
2 files changed, 3 insertions, 3 deletions
diff --git a/meta-openstack/recipes-support/postgresql/postgresql/postgresql-init b/meta-openstack/recipes-support/postgresql/postgresql/postgresql-init
index 874f24e..c9c3807 100644
--- a/meta-openstack/recipes-support/postgresql/postgresql/postgresql-init
+++ b/meta-openstack/recipes-support/postgresql/postgresql/postgresql-init
@@ -35,9 +35,9 @@ while [ $count -le 10 ] && [ $done -eq 0 ]; do
35 count=`expr $count + 1` 35 count=`expr $count + 1`
36done 36done
37 37
38if [ $done -ne 0 ]; then 38if [ $done -eq 0 ]; then
39 echo "[ERROR] postgres: unable to create admin account" 39 echo "[ERROR] postgres: unable to create admin account"
40 exit 1 40 exit 1
41fi 41fi
42 42
43ln -s /usr/share/zoneinfo /usr/share/postgresql/timezone 43ln -s /usr/share/zoneinfo /usr/share/postgresql/timezone || true
diff --git a/meta-openstack/recipes-support/postgresql/postgresql_9.2.4.bbappend b/meta-openstack/recipes-support/postgresql/postgresql_9.2.4.bbappend
index 0e281ba..c485e2d 100644
--- a/meta-openstack/recipes-support/postgresql/postgresql_9.2.4.bbappend
+++ b/meta-openstack/recipes-support/postgresql/postgresql_9.2.4.bbappend
@@ -42,7 +42,7 @@ pkg_postinst_${PN}-setup () {
42 fi 42 fi
43 43
44 /etc/init.d/postgresql-init 44 /etc/init.d/postgresql-init
45 if [ $? -eq 0 ]; then 45 if [ $? -ne 0 ]; then
46 echo "[ERROR] postgres: unable to create admin account" 46 echo "[ERROR] postgres: unable to create admin account"
47 exit 1 47 exit 1
48 fi 48 fi